PETSc version 3.17.4
Fix/Edit manual page

# DMDAGetLocalInfo

Gets information about a given distributed array and this processors location in it

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetLocalInfo(DM da,DMDALocalInfo *info)

Not Collective

### Input Parameter

| da | - the distributed array

### Output Parameters

| dainfo | - structure containing the information

### Notes

See DMDALocalInfo for the information that is returned

### See Also

DMDAGetInfo(), DMDAGetCorners(), DMDALocalInfo

### Level

beginner

### Location

src/dm/impls/da/daview.c

### Examples

src/dm/tutorials/ex51.c.html
src/ksp/ksp/tutorials/ex46.c.html
src/snes/tutorials/ex9.c.html
src/snes/tutorials/ex15.c.html
src/snes/tutorials/ex19.c.html
src/snes/tutorials/ex28.c.html
src/snes/tutorials/ex35.c.html
src/ts/tutorials/ex9.c.html
src/ts/tutorials/ex10.c.html
src/ts/tutorials/ex13.c.html
src/ts/tutorials/ex14.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages